<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_GET['lng']) ? strip_tags($_GET['lng']) : NULL;
$nameform = isset($_GET['nameform']) ? strip_tags($_GET['nameform']) : NULL;
$nametextarea = isset($_GET['nametextarea']) ? strip_tags($_GET['nametextarea']) : NULL;
if(!eregi("^[a-z]+$",$lng) || !eregi("^[-a-z0-9_]+$",$nameform) || !eregi("^[-a-z0-9_]+$",$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
//Protection contre les petits curieux
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die('Error 220');
};

//on regarde ce que contient la variable $log
switch ($log){

    case "Not logged" :  //on sort
	     if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		 } else {
		      session_unset();
			}
	    session_destroy();
        header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
        break;

    case "Logged" :
//Fin de protection
$lng = isset($_GET['lng']) ? strip_tags($_GET['lng']) : NULL;
$nameform = isset($_GET['nameform']) ? strip_tags($_GET['nameform']) : NULL;
$nametextarea = isset($_GET['nametextarea']) ? strip_tags($_GET['nametextarea']) : NULL;
if(!eregi("^[a-z]+$",$lng) || !eregi("^[-a-z0-9_]+$",$nameform) || !eregi("^[-a-z0-9_]+$",$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)
$accessRepUpload = array('img','photo','file','pages','flash');  //Rpertoire o l'on a accs pour uploader (valeur par dfaut)

// INSERTION FICHIER DE LANGUE
if(file_exists(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc')) {
	include(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc');
} else {
	include(CHEMIN.'plugins/adm_redacteurs/lang/en-adm_redacteurs.inc');
}

// On rcupre la config du rdacteur ou du groupe rdacteur
include(REP_REDAC.$upseudo.DBEXT);
if (isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  is_file(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
	include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

//RECUPERATION DE LA CONFIGURATION PERSONNALISE DE L'UPLOAD (VARIABLE $accessRepUpload)
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc');  //CONFIGURATION UPLOAD MINIEDITEUR (SI PRESENT)
} elseif(file_exists(CHEMIN.$pathDirMinieditor.'xinha_config/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'xinha_config/config_upload.inc');  //CONFIGURATION UPLOAD XINHA
}

//CONTROLE DES REPERTOIRES ECRITS DANS LA VARIABLE $accessRepUpload et CREATION DU REPERTOIRE SI NECESSAIRE
include(CHEMIN.$pathDirMinieditor.'upload/functions_upload.inc');
$accessRepUpload = controlNameRepUpload($accessRepUpload);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $admin220; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<?php
 if (file_exists($meskin.'style.css')) {
	echo '<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css" />';
	}
	else {
	echo '<style type="text/css">';
 if (file_exists($meskin.'style.inc')) { 
	include($meskin.'style.inc');
	}
	else {
	include(CHEMIN.'inc/style.inc');
	}
  echo '</style>';
}
?>
<script type="text/javascript">
	// URL du dossier contenant l'diteur (important)
    _editor_url = "<?php echo $site[3]; ?>inc/xinha/";
    // langue de l'diteur
    _editor_lang = "<?php echo $lng; ?>";
</script>
<script type="text/javascript" src="<?php echo $site[3]; ?>inc/xinha/htmlarea.js"></script>
<?php
//CONFIGURATION DE XINHA
if (file_exists(CHEMIN.$pathDirMinieditor.'xinha_config/guppy_xinhaconfig.inc')) {
    include(CHEMIN.$pathDirMinieditor.'xinha_config/guppy_xinhaconfig.inc');
} else {
    die ('Une erreur est survenue car il manque le fichier '.$pathDirMinieditor.'xinha_config/guppy_xinhaconfig.inc');
} 
?>

<script type="text/javascript">
	//RECUPERATION DU CODE DE GUPPY
<?php
    if (isset($nametextarea) && isset($nameform)) {
		echo 'var editorvalue = window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value;';
	}
    //Chemin absolu dans l'diteur
    echo 'var IPATH = "'.$site[3].'";'."\n";
	if(!file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {
?>
    	editorvalue = editorvalue.replace (/\|\:\-\)/g, '<img src="inc/img/smileys/cool.gif" alt="cool" border="0" />');
	    editorvalue = editorvalue.replace (/\;\-\)/g, '<img src="inc/img/smileys/wink.gif" alt="wink" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\)\)/g, '<img src="inc/img/smileys/biggrin.gif" alt="biggrin" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\)/g, '<img src="inc/img/smileys/smile.gif" alt="smile" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-o/gi, '<img src="inc/img/smileys/frown.gif" alt="frown" border="0" />');
        editorvalue = editorvalue.replace (/\:o\)/gi, '<img src="inc/img/smileys/eek.gif" alt="eek" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\(\(/g, '<img src="inc/img/smileys/mad.gif" alt="mad" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\(/g, '<img src="inc/img/smileys/confused.gif" alt="confused" border="0" />');
	    editorvalue = editorvalue.replace (/8\-\)/gi, '<img src="inc/img/smileys/rolleyes.gif" alt="rolleyes" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-p/g, '<img src="inc/img/smileys/tongue.gif" alt="tongue" border="0" />');
	    editorvalue = editorvalue.replace (/\;\-\(/g, '<img src="inc/img/smileys/cry.gif" alt="cry" border="0" />');
<?php
	}
	echo 'editorvalue = editorvalue.replace (/src=\"inc\//gi,"src=\"" + IPATH + "inc/");'."\n";
	foreach($accessRepUpload as $nameRepUp) {
		echo 'editorvalue = editorvalue.replace (/src=\"'.$nameRepUp.'\//gi,"src=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/src='.$nameRepUp.'\//gi,"src=" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/href=\"'.$nameRepUp.'\//gi,"href=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/value=\"'.$nameRepUp.'\//gi,"value=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/data=\"'.$nameRepUp.'\//gi,"data=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
	}
?> 
	function initDocument() {
		document.fHtmlEditor.editor.value = editorvalue;
	}
	 
	//CREATION DE L'EDITEUR XINHA
 	xinha_editors = null;
	xinha_init = null;
	xinha_plugins = null;
	
	xinha_init = xinha_init ? xinha_init : function() 
	{				
		//dfinition des plugins
		xinha_plugins = xinha_plugins ? xinha_plugins : 
			[
				'CharacterMap',
				'ContextMenu',
				'FullScreen',
				'ListType',
				'Stylist',
				'SuperClean',
				'TableOperations'
			];
 		//chargement des plugins
		if(!HTMLArea.loadPlugins(xinha_plugins, xinha_init)) return;				
		//Enregistrement du textarea  remplacer par l'diteur		
		xinha_editors = xinha_editors ? xinha_editors : 
			[
				'editor'
			];		
		//cration de l'diteur	
		xinha_editors = HTMLArea.makeEditors(xinha_editors, xinha_config, xinha_plugins);			
		//dmarrage de l'diteur
		HTMLArea.startEditors(xinha_editors);
	}	

	window.onload = xinha_init;
	    
	// ENREGISTREMENT ET ENVOIE DU CODE
	function OnFormSubmit(){
    	var submiteditorvalue = document.fHtmlEditor.editor.value;
				
		//Transformation chemin absolu en chemin relatif pour les images et les liens
<?php 		
		function expRegExpression($expression) {
			$chaine = $expression;
			$expRegMetaCar = array('\\','^','$','.','*','+','?','=','!','|','/','(',')','[',']','{','}');
			for($i=0; $i<count($expRegMetaCar); $i++) {
				$chaine =  str_replace($expRegMetaCar[$i],'\\'.$expRegMetaCar[$i],$chaine);
			}
			return $chaine;
		}
		$expRegURLSite = expRegExpression($site[3]);
		$expRegURLSous_Site = expRegExpression(eregi_replace('http://[^/]+/','/', $site[3]));

		echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSite.'inc\/)/gi,"src=\"inc/");'."\n"; 
		echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSite.'inc\/)/gi,"href=\"inc/");'."\n"; 
		//
		echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSous_Site.'inc\/)/gi,"src=\"inc/");'."\n"; 
		echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSous_Site.'inc\/)/gi,"href=\"inc/");'."\n"; 
		//
		echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"\/inc\//gi,"src=\"inc/");';
		echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"(\.\.\/)+inc\//gi,"src=\"inc/");'."\n";

		foreach($accessRepUpload as $nameRepUp) {
			echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"src=\"'.$nameRepUp.'/");'."\n"; 
			echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"href=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(value=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"value=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(data=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"data=\"'.$nameRepUp.'/");'."\n";
			//
			echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"src=\"'.$nameRepUp.'/");'."\n"; 
			echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"href=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(value=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"value=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(data=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"data=\"'.$nameRepUp.'/");'."\n";
			//
			echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"\/'.$nameRepUp.'\//gi,"src=\"'.$nameRepUp.'/");';
			echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"(\.\.\/)+'.$nameRepUp.'\//gi,"src=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/href=\"(\.\.\/)+'.$nameRepUp.'\//gi,"href=\"'.$nameRepUp.'/");'."\n";
		}
?>			
		if (HTMLArea.is_gecko) {
			submiteditorvalue = submiteditorvalue.replace (/^\s/gi,"");
		}	 
				
        //envoie du code				
<?php
        if (isset($nametextarea) && isset($nameform)) {
			echo 'window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value = submiteditorvalue;'."\n";
		}
?>				
        if(confirm("<?php echo $admin373; ?>")){
			self.close();
			return true;
		} else {
		    return false;
		}            
	};

    //POPUP HELP
	function PopupWindow(page,titre,largeur,hauteur,resizeyn,scrollb) {
    	var top=(screen.height-hauteur)/2;
        var left=(screen.width-largeur)/2;
        window.open(page,titre,"top="+top+", left="+left+", width="+largeur+", height="+hauteur+", directories=no, menubar=no, status=no, resizable="+resizeyn+", scrollbars="+scrollb+",location=no");
    };
</script>	
</head>
<body style="margin:0px;">
       <form action="self"  id="fHtmlEditor" name="fHtmlEditor"  method="post" onsubmit="return OnFormSubmit();">
	   <div style="text-align:center;padding:10px;">
	   <div style="margin-right:auto;margin-left:auto; width:100%;text-align:center;">
	   <textarea id="editor" name="editor" style="height:400px; width:98%;"></textarea>
	   </div>
	   </div>
	   <table cellpadding="0" cellspacing="0" border="0" align="center" width="100%">	   
		<tr><td align="center" style="padding:10px;" valign="middle">
<?php
        DrawSmileys2();
?>	
       </td></tr>
	   <tr><td align="center"><input class="bouton" type="submit" style="width:60px;" value="<?php echo $web52; ?>" /></td></tr>
	   </table>
	   </form>
	   <script type="text/javascript">
	       initDocument();
	   </script>
  </body>
</html>
<?php
}
?>