<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.8 (2011/10/23)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6.2
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_GET['lng']) ? $_GET['lng'] : NULL;
if(!preg_match("`^[-a-z]+$`i",$lng)) die("Erreur dans le nom des variables passes dans l'URL !!");
//PROTECTION CONTRE LES PETITS CURIEUX
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die('Error 220');
};
//on regarde ce que contient la variable $log
switch ($log){

    case "Not logged" :  //on sort
	     if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		 } else {
		      session_unset();
			}
	    session_destroy();
        header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
        break;

    case "Logged" :
//FIN PROTECTION
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

// Insertion du fichier de langue
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc');
} else {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/en_minieditortextarea.inc'); // fichier de langue par dfaut
}

//Rcupration de la config du miniditor
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR PAR DEFAUT
} else {
	die('Une erreur est survenue car il manque le ficher "'.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc "');
}
$path_minieditortextarea_config = isset($_GET['pathconfig']) ? $_GET['pathconfig'] : NULL;
$path_minieditortextarea_config = strip_tags($path_minieditortextarea_config);
if(isset($path_minieditortextarea_config) && $path_minieditortextarea_config != '' && preg_match("`^[-a-z0-9_]{1}[-a-z0-9_\/]*\/$`i",$path_minieditortextarea_config) && file_exists(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc')) {
	include(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<title><?php echo $lang_minieditor[68]; ?></title>
<style type="text/css">
body {
	font-size: 16px;
 	font-family: "Times New Roman" , Arial, sans-serif;
 	color:<?php echo $colorTextTitre; ?>; 
 	background-color:<?php echo $colorFondTitre; ?>;
}
h4 {
	margin:15px;
	font-weight:bold;
}
div.version {
	margin-left:auto;
	margin-right:auto;
	margin-bottom:15px;
	padding:10px;
	text-align:center;
	width:100px;
	background-color:<?php echo $colorFondCorp; ?>;
	color:<?php echo $colorTextCorps; ?>;
	border:<?php echo $styleBordureCorp; ?>;
	font-weight:bold; 
}
div.corpsinfos {
	margin-left:auto;
	margin-right:auto;
	margin-bottom:15px;
	width:100%;
}
div.label {
	width:120px;
	float:left;
	text-align:right;
	font-weight:bold;
}
div.infos {
	padding-left:135px;
	text-align:left;
}
a {
 	color:<?php echo $colorTextTitre; ?>;
	text-decoration:none;
}
a:hover {
 	color:#FF0000;
	text-decoration:underline;
}
</style>
</head>
<body>
<div style="text-align:center;">
<h4>Minieditor</h4>
<div class="version">
<?php echo $version_minieditor; ?>
</div>
<div class="corpsinfos">
<div class="label">
Auteur&nbsp;:<br />
Email&nbsp;:<br />
Site Web&nbsp;:<br />
Licence&nbsp;:<br />
</div>
<div class="infos">
Jrme CROUX (alias jchouix)<br />
<a href="http://lebrikabrak.info" target="_blank">http://lebrikabrak.info</a><br />
<a href="lgpl.html" target="_blank">GNU Lesser General Public License</a><br />
</div>
</div>
</div>
</body>
</html>
<?php
}
?>
